petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetMaxSizes

Return the maximum number of in-edges (cone) and out-edges (support) for any point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMaxSizes(DM dm, PetscInt *maxConeSize, PetscInt *maxSupportSize)

Not collective Many br

### Input Parameter

mesh -The DMPlex Many br

### Output Parameters

| maxConeSize | - The maximum number of in-edges Many br
| maxSupportSize | - The maximum number of out-edges Many br

Many br

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexSetChart()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html